#-----------------------------------------------------------------------------
#	Face Creator for V3 by m_wind
# It self-adjusts facial morph targets randomly. 
#-----------------------------------------------------------------------------
import random
import poser

scene = poser.Scene()
actor = scene.Actor("")
rememberFrame = scene.Frame()

if (int(random.random() * 2)):
	scene.LoadLibraryFace("\\libraries\\Face\\m_wind\\Base1.fc2")
else:
	scene.LoadLibraryFace("\\libraries\\Face\\m_wind\\Base2.fc2")

for parm in actor.Parameters():
	if (parm.IsMorphTarget()):
		if (parm.InternalName() == "EyesBig"):
			x = 0.25
		else:
			x = 0.45
		rndMagnitude = parm.Value() + (x * random.random()) - (x * 0.5)
		parm.SetValue(rndMagnitude)
actor.MarkGeomChanged()
scene.LoadLibraryFace("\\libraries\\Face\\m_wind\\Filter.fc2")
scene.DrawAll()
